Bugzilla will be upgraded to version 5.0 on December 2, 2018. The outage period for the upgrade will start at 0:00 UTC and have a duration of 12 hours
Bug 970196 - Properly support colon-separated modulepath
Properly support colon-separated modulepath
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Provisioning (Show other bugs)
6.0.1
Unspecified Unspecified
unspecified Severity unspecified (vote)
: Unspecified
: Unused
Assigned To: Ohad Levy
Corey Welton
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-03 12:25 EDT by Sam Kottler
Modified: 2014-06-18 04:14 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-18 14:32:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sam Kottler 2013-06-03 12:25:28 EDT
Description of problem:
In my master section of my puppet.conf I have the following modulepath:

modulepath = $confdir/environments/$environment/puppet_modules:/home/$environment/puppet_modules

For my personal testing environment (kcormier) I keep all of my modules under /home/kcormier/puppet_modules. /etc/puppet/environments/kcormier/puppet_modules does not exist. Neither does the parent directory /etc/puppet/environments/kcormier. Puppet works fine however foreman fails to import my classes and thinks the environment does not exist. If I create /etc/puppet/environments/kcormier, foreman will load my classes correctly. Just to note, /etc/puppet/environments/kcormier/puppet_modules still DOES NOT exist, however it's parent directory does.

This was found with foreman-proxy 1.1rc1 from the foreman-1.1.rc4 rpms running on centos 6.3 fully patched.

Additional info:
Fixed upstream in d603c3c9438b03cfab968d5654c83557d227a217.
Comment 1 Sam Kottler 2013-06-11 15:51:26 EDT
Moved to ON_QA as part of puddle 4.5.
Comment 2 Tazim Kolhar 2013-06-12 05:32:34 EDT
hi

please provide verifications steps

thanks
Comment 3 Corey Welton 2013-06-12 13:59:01 EDT
Test notes:
"Either add a dummy directory to the puppet's module path, or delete a directory specified in the path from the disk."

Still may not be clear.  Perhaps ping dev directly if there are further questions.
Comment 4 Corey Welton 2013-06-12 16:30:45 EDT
clearing needinfo flag.
Comment 6 Dominic Cleal 2013-09-18 14:32:32 EDT
Upstream fix, shipped in MDP1.

Note You need to log in before you can comment on or make changes to this bug.